nistbladm(1)

NAME
nistbladm - NIS+ table administration tool

SYNOPSIS

nistbladm -a|-A [ -D defaults ] colname=value ...
tablename

nistbladm -a|-A [ -D defaults ] indexedname

nistbladm -c [ -D defaults ] [ -p path ] [ -s sep ] type
colname = [flags][,access] ... tablename

nistbladm -d tablename

nistbladm -e|-E colname=value ... indexedname

nistbladm -r|-R [ colname=value ... ] tablename

nistbladm -r|-R indexedname

nistbladm -u [ -p path ] [ -s sep ] [ -t type ]
[ colname = access ... ] tablename

DESCRIPTION
The nistbladm program is used to administer NIS+ tables.

When manipulating entries, this command takes two forms of entry name. The first uses a series of space separated colname=value pairs that specify column values in the entry. The second is a NIS+ indexed name, indexedname, of the form:

    [ colname=value, ... ],tablename

OPTIONS

-a | A
    Add entries to a NIS+ table. The difference between the lowercase `a' and the uppercase `A' is in the treatment of preexisting entries. The entry's contents are specified by the column=value pairs on the command line. Note: Values for all columns must be specified when adding entries to a table.

-c  Create a table named tablename in the namespace. The table that is created must have at least one column which is searchable.

-d tablename
    Destroy the table named tablename. The table that is being destroyed must be empty.

-e|E
    Edit the entry in the table that is specified by indexdname. indexdname must uniquely identify a single entry. It is possible to edit the value in a column that would change the indexed name of an entry.

    The change (colname=value) may affect other entries in the table if the change results in an entry whose indexed name is different from indexedname and which matches that of another existing entry. In this case, the -e option will fail and an error will be reported. The -E option will force the replacement of the existing entry by the new entry (effectively removing two old entries and adding a new one).

-r|R
    Remove entries from a table. The entry is specified by either a series of column=value pairs on the command line, or an indexed name that is specified as entryname. The difference between the interpretation of the lowercase `r' versus the uppercase `R' is in the treatment of non-unique entry specifications. Using the uppercase `R' will force the NIS+ server to remove all entries matching the passed search criterion. If that criterion is null and no column values specified, then all entries in the table will be removed.

-u  Update attributes of a table.

RETURN VALUES

This command returns 0 on success and 1 on failure.

ENVIRONMENT

NIS_DEFAULTS
    This variable contains a defaults string that will be override the NIS+ standard defaults. If the -D switch is used those values will then override both the NIS_DEFAULTS variable and the standard defaults.

NIS_PATH
    If this variable is set, and the NIS+ table name is not fully qualified, each directory specified will be searched until the table is found (see nisdefaults(1)).

SEE ALSO
niscat(1), nischmod(1), nischown(1), nisdefaults(1), nismatch(1)

AUTHOR
This version of the nistbladm command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.